datacache <- new.env(hash=TRUE, parent=emptyenv())

bovinebtrefseq <- function() showQCData("bovinebtrefseq", datacache)
bovinebtrefseq_dbconn <- function() dbconn(datacache)
bovinebtrefseq_dbfile <- function() dbfile(datacache)
bovinebtrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
bovinebtrefseq_dbInfo <- function() dbInfo(datacache)

bovinebtrefseqORGANISM <- "Bos taurus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "bovinebtrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("BOVINECHIP_DB", "bovinebtrefseq", "chip bovinebtrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("bovinebtrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(bovinebtrefseq_dbconn())
}

